package cd.casic.ci.process.engine.constant;

public class PipelineGlobalVariableConstant {
    /**
     *  AFL线基础工作目录，完整的工作目录为 基础工作目录 + /PIP_${pipelineId}
     * */
    public static final String AFL_WORK_DIR_PREFIX = "/home/casic/706/yunqi/PIP_";
    /**
     *  真正用于绑定AFL docker卷挂载的目录的全局变量的key，值为 基础工作目录 + /PIP_${pipelineId}
     * */
    public static final String AFL_WORK_DIR_KEY = "AFL_PIPELINE_WORK_DIR";
    /**
     *  目标上传到工作目录下文件夹的前缀（TASK_${taskId}）
     * */
    public static final String AFL_SLOT_COMPILE_PATH_PREFIX = "TASK_";
    /**
     *  执行插装编译节点以后输出目录，用于设置到全局变量给后续节点使用
     *
     * */
    public static final String AFL_SLOT_COMPILE_PATH_KEY = "AFL_SLOT_COMPILE_PATH";
    /**
     * 测试用例生成，ai生成或者直接文件上传的路径，工作目录下 SEED
     * */
    public static final String AFL_SEED_PATH="SEED";
    /**
     *  AFL输出目录
     * */
    public static final String AFL_OUTPUT = "ai_afl";
}
